CREATE OR REPLACE VIEW vw_opening 
AS 
SELECT
	tbl_opening.int_opening_id,
	tbl_opening.dat_opening,
	tbl_opening.int_product_id,
	tbl_opening.dec_quantity,
	tbl_opening.int_by_user_id,
	tbl_users.txt_name AS by_user_name,
	tbl_opening.dat_created,
	tbl_opening.dat_modified
FROM
	tbl_opening
	LEFT JOIN tbl_products ON (tbl_opening.int_product_id = tbl_products.int_product_id)
	LEFT JOIN tbl_users ON (tbl_opening.int_by_user_id = tbl_users.int_user_id);
