CREATE OR REPLACE VIEW vw_production 
AS 
SELECT
	tbl_production.int_production_id,
	tbl_production.int_production_unit_id,
	tbl_production_units.txt_production_unit,
	tbl_production_units.txt_production_unit_type,
	tbl_production.txt_batch_no AS  txt_batch_no,
	tbl_production.dat_start AS  dat_start,
	tbl_production.dat_end AS  dat_end,
	tbl_production.txt_remarks AS  txt_remarks,
	tbl_production.int_by_user_id AS  int_by_user_id,
	tbl_users.txt_name AS by_user_name,
	tbl_production.dat_created AS  dat_created,
	tbl_production.dat_modified AS  dat_modified
FROM
	tbl_production
	LEFT JOIN tbl_production_units ON (tbl_production.int_production_unit_id = tbl_production_units.int_production_unit_id)
	LEFT JOIN tbl_users ON (tbl_production.int_by_user_id = tbl_users.int_user_id);
