<?php
include_once("./config/constants.php");

if (!isset($_SESSION["userid"])) {
  header("location:".DOMAIN."/");
}
 include 'layouts/header.php';
 
include 'layouts/navbar.php';
include 'layouts/commonTools.php';
$_SESSION['title_name'] ='Gate Pass';
?>
<style>
fieldset{
	border:1px solid #000 !important;
	margin-inline-start: 2px;
    margin-inline-end: 2px;
    padding-block-start: 0.35em;
    padding-inline-start: 0.75em;
    padding-inline-end: 0.75em;
    padding-block-end: 0.625em;
}
fieldset legend{
	width:auto !important;
	float:none !important;
	margin-bottom:.1rem;
}
</style>


<input type="hidden" name="title_name" id="title_name" value="<?php echo $_SESSION['title_name'];?>" />
     <span  data-toggle="tooltip" data-html="true" data-placement="top" title="Add New Record" class="float-right">
          <button type="button" class="btn  btn-sm  " data-toggle="modal" data-target="#myModal"><i class='fas fa-plus' style='font-size:14px'></i></button>
     </span>
     <input type="text" class="form-control form-control-sm float-right col-sm-4" name="search_item" id="search_item"/>
</div>
</div>
<hr class="featurette-divider">
  <div class="row font-weight-bold " id="messageBox"> 
 
    <div id="success_message" class="text-white rounded col-sm-12 " style="display: none;" ></div>
    <div id="error_message" class="text-white rounded col-sm-12 " style="display: none;"></div>
</div>

<div  class="col-sm-12 p-0" id="table-area"> 
  <table class="table-sm table-bordered border col-sm-12" id="myTable">   
        <thead class="text-left">
          <th class="text-center"><input type="checkbox" class="form-control-md" id="selectAllCmb" /></th> 
        <th>Gate Pass No.</th>
        <th>Customer Name</th> 
        <th>Gate Pass Date</th> 
        <th> Transport </th>  
        <th>Invoice No.</th>
        <th>Remark </th>
        <th>Total Aount</th>
        <th></th>
      </thead>
      <tbody id="get_list" class="text-center">
          
      </tbody>            
    </table>          
</div>

<!---------------------------------------- popup for add record ---------------------------------------------- -->
  <div class="modal fade hide " id="myModal" role="dialog">
    <div class="modal-dialog modal-lg modal-dialog-scrollable">
      <div class="modal-content ">
        <div class="modal-body">
          <div class="row">
                <div class="col"><h6 class="text-bold">Gate Pass</h6></div>
                  <div class="col text-right">
                    <input class="btn btn-sm btns form-control-sm mr-1" type="submit" id="addButton" name="addButton" value="Save">
                    <input type="button" class="btn btn-sm  btn_close form-control-sm" id="closeButton" data-dismiss="modal" value="Close">
                  </div>
                </div>
                <hr class="featurette-divider">
          
                 <div class="row font-weight-bold " id="messageBox"> 

                    <div id="success_message_modal" class="text-white rounded col-sm-12 " style="display: none;" ></div>
                    <div id="error_message_modal" class="text-white rounded col-sm-12 " style="display: none;"></div>
                 
                </div>
                  <div id="form-content">
                    <form id="myForm" onsubmit="return false" class="p-2 entryform form">
                <input type="hidden" name="gpid" id="gpid" value="0">
                <div class="row">
					<div class="col-sm-6">
						<div class="row px-3">
							<label for="gpid_no" class="col-sm-5">Gate Pass No.  </label>
							<div class="col-sm-7">
								<input type="number" name="gpid_no" id="gpid_no" class="form-control form-control-sm required" disabled value="0">
							</div>
						</div>						
					</div>
					<div class="col-sm-6 ">
						<div class="row px-3">
							<label for="gate_pass_date" class="col-sm-4">Date </label>
							<div class="col-sm-8">
								<input class="form-control form-control-sm required" type="date" id="gate_pass_date" name="gate_pass_date"  />
							</div>
						</div>
					</div>                  
                </div>
                <div class="row">
                  <label for="party_name" class="col-sm-4">Customer Name</label>
                  <div class="col-sm-8">
                    <input type="text" id="party_name" name="party_name" class="form-control form-control-sm required" required />
                  </div>
                </div>
                <div class="row">
                  <label for="transport" class="col-sm-4">Transport </label>
                  <div class="col-sm-8">
                    <input class="form-control form-control-sm " type="text" id="transport" name="transport"  />          
                  </div>
                </div>
                <div class="row">
                  <label for="vechile_no" class="col-sm-4">Vehicle No.</label>
                  <div class="col-sm-8">
                    <input class="form-control form-control-sm " type="text" id="vechile_no" name="vechile_no"  />          
                  </div>
                </div>
                <div class="row">
                  <label for="gate_invoice" class="col-sm-4">Invoice No</label>
                  <div class="col-sm-8">
                    <input class="form-control form-control-sm " type="text" id="gate_invoice" name="gate_invoice"  />          
                  </div>
                </div>
                <div class="row">
                  <label for="gate_remark" class="col-sm-4">Remark</label>
                  <div class="col-sm-8">
                    <textarea class="form-control form-control-sm " type="text" id="gate_remark" name="gate_remark"></textarea>          
                  </div>
                </div>
				<div class="row">
					<div class="col-sm-12 w-100">
						<fieldset>
							<legend>Item Details</legend>
							<div class="row mx-auto">
								<div class="col-sm-3">
									<div class="row">
									  <label for="gate_item" class="col-sm-12">Item Name</label>
									  <div class="col-sm-12">
										<input class="form-control form-control-sm " type="text" id="gate_item" name="gate_item"  />          
									  </div>
									</div>
								</div>
								<div class="col-sm-3">
									<div class="row">
									  <label for="gate_qty" class="col-sm-12">Item Quantity</label>
									  <div class="col-sm-12">
										<input class="form-control form-control-sm " type="text" id="gate_qty" name="gate_qty" />          
									  </div>
									</div>
								</div>
								<div class="col-sm-3">
									<div class="row">
									  <label for="gate_price" class="col-sm-12">Item Price</label>
									  <div class="col-sm-12">
										<input class="form-control form-control-sm " type="text" id="gate_price" name="gate_price" />          
									  </div>
									</div>
								</div>
								<div class="col-sm-3">
									<div class="row">
									  <label for="gate_price" class="col-sm-12">Item Amount</label>
									  <div class="col-sm-12">
										<input class="form-control form-control-sm " type="text" id="gate_amt" name="gate_amt" />          
									  </div>
									</div>
								</div>
								<div class="col-sm-12 text-end mr-1">
									<button class="btn button" id="addPassItem" type="button"> Add Item</button>
								</div>
									
							</div>
						</fieldset>
					</div>
				
                </div>
				<div class="row">
					<div class="col-sm-12">
						<table class="table-sm table-bordered border col-sm-12 data-table" id="myTable">   
							<thead class="text-left">
								<th>Name</th> 
								<th>Quantity</th>  
								<th>Price</th>
								<th>Amount</th>
								<th colSpan="2"></th>
							</thead>
							<tbody>
								
							</tbody>            
						</table> 
					</div>
				</div>
                 
                                     
                <div class="row" id="modal-bottom">
                  <div class="col-sm-6 ">
                      <small class="font-normal float-left">Fill required fields(*)</small>
                    </div>
                </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php include 'layouts/footer.php' ?>
<script type="text/javascript">
  document.title ="Gate Pass";
  $('#titlePage').html( 'Gate Pass');
  
 
</script>
<script type="text/javascript" rel="stylesheet" src="./js/gatePassPageJs.js"></script>