<?php

/**
* 
*/
class Manage
{
	
	private $con;

	function __construct()
	{
		include_once("../config/connection.php");
		$this->db = new Database();
		
	}

	public function updateRecordFunction($rid,$tokenSecretUser){
		if($tokenSecretUser==6){
			$query="UPDATE `tbl_reaction` SET int_sign_1 = 1 where `tbl_reaction`.`int_reaction_id` = ".$rid;
		}else if($tokenSecretUser==7){
			$query="UPDATE `tbl_reaction` SET int_sign_2 = 1 where `tbl_reaction`.`int_reaction_id` = ".$rid;
		}else{
			exit();
		}		
		$this->con = $this->db->connect();
		$result=mysqli_query($this->con,  $query);
		
		if ($result) {
		 	return 1;
		 }else{
			return 0;
		 }
	}

	public function manageSelectedRecordWithPagination($option,$pno,$setRecordNumberToShow){
		$this->con = $this->db->connect();
	 	$option=trim($option);
	 	
		if($option=='0'){
		    $sqlCount="SELECT COUNT(int_reaction_id) FROM vw_reaction";
			$a = $this->pagination($this->con,$sqlCount,$pno,$setRecordNumberToShow);
			$sql="SELECT `int_reaction_id`, `dat_reaction`,`int_reactor_id`,`txt_reactor`, `txt_batch_no`, `int_feed`, `txt_hypo_name`,int_sign_1,int_sign_2 FROM `vw_reaction` order by int_reaction_id desc ".$a["limit"];
		}else{
		    $sqlCount="SELECT COUNT(int_reaction_id) FROM vw_reaction where txt_reactor LIKE '".$option."%' or txt_batch_no LIKE '".$option."%'";
			$a = $this->pagination($this->con,$sqlCount,$pno,$setRecordNumberToShow);
			$sql="SELECT `int_reaction_id`, `dat_reaction`,`int_reactor_id`,`txt_reactor`, `txt_batch_no`, `int_feed`, `txt_hypo_name`,int_sign_1,int_sign_2 FROM `vw_reaction` where txt_batch_no LIKE '".$option."%' or txt_reactor LIKE '".$option."%' order by int_reaction_id desc ".$a["limit"];
		}
		echo $sql;
		$this->con = $this->db->connect();
		$result = $this->con->query($sql) or die($this->con->error);
		$rows = array();
		if($result->num_rows > 0){
			while ($row = $result->fetch_assoc()) {
				$rows[] = $row;
				//echo $row;
			}
		}
		
		$resultCount = $this->con->query($sqlCount) or die($this->con->error);
		$totalRecords=0;
		while ($row = $resultCount->fetch_assoc()) {
				$totalRecords = $row;
				//echo $row;
			}
		return ["rows"=>$rows,"pagination"=>$a["pagination"],"totalRecords"=>$totalRecords];

	}

	private function pagination($con,$sqlQuery,$pno,$n){
		$query = $con->query($sqlQuery);
		//$row = mysqli_fetch_assoc($query);
		$row = mysqli_fetch_row($query); 
		//$totalRecords = 100000;
		$pageno = $pno;
		$numberOfRecordsPerPage = $n;
		//echo $row[0],$n;
		$last = ceil($row[0]/$numberOfRecordsPerPage);
		//echo $last;

		$pagination = "<ul class='pagination font-weight-normal'>";

		if ($last != 1) {
			if ($pageno > 1) {
				$previous = "";
				$previous = $pageno - 1;
				$pagination .= "<li class='page-item'><a class='page-link' pn='".$previous."' href='#' aria-label='Previous'> <span aria-hidden='true'>&laquo;</span><span class='sr-only'>Previous</span> </a></li></li>";
			}
			for($i=$pageno - 5;$i< $pageno ;$i++){
				if ($i > 0) {
					$pagination .= "<li class='page-item'><a class='page-link' pn='".$i."' href='#'> ".$i." </a></li>";
				}
				
			}
			$pagination .= "<li class='page-item'><a class='page-link' pn='".$pageno."' href='#' style='color:#333;'> $pageno </a></li>";
			for ($i=$pageno + 1; $i <= $last; $i++) { 
				$pagination .= "<li class='page-item'><a class='page-link' pn='".$i."' href='#'> ".$i." </a></li>";
				if ($i > $pageno + 4) {
					break;
				}
			}
			if ($last > $pageno) {
				$next = $pageno + 1;
				$pagination .= "<li class='page-item'><a class='page-link' pn='".$next."' href='#' aria-label='Next'> <span aria-hidden='true'>&raquo;</span><span class='sr-only'>Next</span> </a></li>";
			}
		}
	//LIMIT 0,10
		//LIMIT 20,10
		$limit = "LIMIT ".($pageno - 1) * $numberOfRecordsPerPage.",".$numberOfRecordsPerPage;

		return ["pagination"=>$pagination,"limit"=>$limit];
	}
	public function showNoOfRecords($rows,$pageno,$totalRecords,$setRecordNumberToShow)
	{
		$noOfSetRecords= count($rows);
		$startRecordNo=1;
		$lastRecordNo=$noOfSetRecords;
		$showRecords='<span id="showNoOfRecords">';
		foreach ($totalRecords as $totalRecord){
			$totalRecordsCount= $totalRecord;
		}
		$last = ceil($totalRecordsCount/$setRecordNumberToShow);
		if ($pageno>1){
			
				$startRecordNo	=	(($lastRecordNo*$pageno) - $noOfSetRecords) + 1;
				$lastRecordNo 	= 	$startRecordNo + $noOfSetRecords -1;
				if($pageno == $last){
					$startRecordNo	=	$totalRecordsCount - $noOfSetRecords +1;
					$lastRecordNo 	= 	$totalRecordsCount;
			}
			
		}
		$showRecords .="<li class='p-2'>Showing ".$startRecordNo."-".$lastRecordNo."  of  ".$totalRecordsCount."</span></li></ul>";
		return $showRecords;
	}
	
   	public function showRows($rows,$pageno,$pagination,$showRecords)
	{
		if (count($rows) > 0) {
		$n = (($pageno - 1) * 5)+1;
		foreach ($rows as $row) {
			$sign1 = 'NO';
			$sign2 = 'NO';
			if($row['int_sign_1']==1){
				$sign1 = 'Yes';
			}
			if($row['int_sign_2']==1){
				$sign2 = 'Yes';
			}
			?>
				<tr>
			        
			      	<td id="cmbTd"><input type="checkbox" class="form-control-md  selectCmb" id="del_<?php echo $row['int_reaction_id']; ?>"  /></td>			      	
			        <td><?php echo date_format(date_create($row['dat_reaction']),'d-m-Y');?></td>
                    <td><?php echo $row["txt_reactor"]; ?></td>
					<td><?php echo $row["int_feed"]; ?></td>
			        <td><?php echo $row["txt_batch_no"]; ?></td>			        
			        <td><?php echo $row["txt_hypo_name"]; ?></td>
			        <td><?php echo $row["dec_hypo_qty"]; ?></td>
			        <td><?php echo $row["dec_lm"]; ?></td>
			        <td><?php echo $row["dec_dlm"]; ?></td>
			        <td><?php echo $row["dec_menthone"]; ?></td>
			        <td><?php echo $row["txt_time"]; ?> HRS</td>
			        <td><?php echo $row["dec_dl"]; ?> Qty</td>
			        <td><?php echo $row["txt_temprature"]; ?></td>
			        <td><?php echo $sign1 ?></td>
			        <td><?php echo $sign2 ?></td>
			        <td><?php echo $row["txt_remark"]; ?></td>
			        <td><?php echo '<a  href="#" class="btn btn-sm  mx-1 editButton" eid="'.$row["int_reaction_id"] .'" ><i class="fas fa-check" style="font-size:12px"></i> </a>'; ?></td>		        
			    </tr>
			<?php
		}
			$n++;
		}
		?>
			<tr  id="pagination" class="p-1"><th colspan="20"><?php echo $pagination; ?><?php echo $showRecords; ?></th></tr>
		<?php
		exit();
	}
	public function showCards($rows,$pageno,$pagination,$showRecords)
	{
		if (count($rows) > 0) {
		$n = (($pageno - 1) * 5)+1;
		?>
		<div class="row">
		<?php
		foreach ($rows as $row) {
			
			?>
				<div class=" p-2" >
					
						<div class='card card-default shadow' id="cardSelect" >
							<!-- <div class="">
									<input type="checkbox" class="form-check-input selectCmb" id="del_<?php echo $row['id']; ?>"  />
								</div> -->
							<div class="card-body">
								
								<div class="row p-1" >
									<h6 class='col-sm-10'>Gst</h6>
									<div class="col-sm-1  dropdown dropdown-sm  show   ">
									  <a class=" btn btn-sm float-right" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
									    <i class='fas fa-ellipsis-v' style='font-size:12px'></i>
									  </a>

									  <div class="dropdown-menu" >
									  	<a  href="#" eid="<?php echo $row['int_production_id']; ?>" data-toggle="modal" data-target="#myModal" class="dropdown-item btn btn-info btn-sm editButton"><i class='fas fa-edit' style='font-size:12px'></i> Edit</a>
									    <a href="#"  data-did="<?php echo $row['int_production_id']; ?>"  class="dropdown-item btn btn-danger btn-sm showModalDelete"><i class='fas fa-trash' style='font-size:12px'></i> Delete</a>
									    
									  </div>
									</div>
								</div>
								<hr class='featurette-divider mt-0'>
								<div class='card-text'>
									<p>Rate: <?php echo $row['gst_rate']; ?></p>
									
								</div>
							</div>
							<!-- <div class="card-footer ">
								

						        <a  href="#" eid="<?php echo $row['id']; ?>" data-toggle="modal" data-target="#myModal" class=" btn btn-light btn-sm edit_gst"><i class='fas fa-edit' style='font-size:12px'></i> </a>
							    <a href="#" did="<?php echo $row['id']; ?>" class=" btn btn-light btn-sm del_gst"><i class='fas fa-trash' style='font-size:12px'></i> </a>
							</div> -->
						</div>
					
				</div>
			<?php
		}
			$n++;
		}
		?>
			</div>
			<div class="row">
				<div class="col-sm-12">
					<span ><?php echo $pagination; ?><span>
						<?php echo $showRecords; ?>
				</div>
			</div>
		<?php
		exit();
	}

	public function deleteFunction($id){
		$this->con = $this->db->connect();
		$query="Call sp_delete_production('".$id."',@return)";/*------delete drums also--------*/
		$result=mysqli_query($this->con,  $query);
		$row = $result->fetch_object();
		$result1 =intval($row->vintReturn);
		//return $result1;
		if ($result1 ) {
			return 1;
		}else{
			return 0;
		}

	}
	public function getSingleRecord($table,$pk,$id){
		$this->con = $this->db->connect();
		$pre_stmt = $this->con->prepare("SELECT * FROM ".$table." WHERE ".$pk."= ? LIMIT 1");
		$pre_stmt->bind_param("i",$id);
		$pre_stmt->execute() or die($this->con->error);
		$result = $pre_stmt->get_result();
		if ($result->num_rows == 1) {
			$row = $result->fetch_assoc();
		}
		return $row;
	}
	public function runQuery($query) {
		$this->con = $this->db->connect();
        $result = mysqli_query($this->con, $query);
        if($result){
	        while($row=mysqli_fetch_assoc($result)) {
	            $resultset[] = $row;
	        }
	        if(!empty($resultset))
	            return $resultset;
	    }
    }
	
}
if (isset($_GET["getReactorUnit"])) {
	$m = new Manage();
	$rows = $m->runQuery("SELECT `int_production_unit_id`, `txt_production_unit`, `txt_production_unit_type`, `int_by_user_id` FROM `tbl_production_units` where txt_production_unit_type ='Reactor'");
	foreach ($rows as $row) {
		echo "<option value='".$row["int_production_unit_id"]."'>".$row["txt_production_unit"]."</option>";
	}
	exit();
}

if (isset($_POST["addFunctionRequest"])) {
	$m = new Manage();
	$result = $m->addRecordFunction(
						$_POST['rid'], 
					  	$_POST['reactor_st_date'],
                    	$_POST['reaction_id'],
                    	$_POST['reactor_feed'],
                    	$_POST['reactor_batch_no'],
                    	$_POST['reactor_hypo_name'],
                    	$_POST['reactor_hypo_qty'],
                    	$_POST['reactor_lm'],
                    	$_POST['reactor_dlm'],
                    	$_POST['reactor_menthone'],
                    	$_POST['reactor_time'],
                    	$_POST['reactor_dl'],
                    	$_POST['reactor_temperature'],
                    	$_POST['reactor_remarks'],
                      	$_POST['tokenSecretUser'],
                        $_POST['financial_year']);

	echo json_encode($result);
	exit();
}

if (isset($_GET["manageListRequest"])) {
	$m = new Manage();
	$result = $m->manageSelectedRecordWithPagination($_GET["search_option"],$_GET["pageno"],50);
	$rows = $result["rows"];
	$pageno=$_GET["pageno"];
	$pagination = $result["pagination"];
	$totalRecords=$result['totalRecords'];
	$showRecords = $m->showNoOfRecords($rows,$_GET["pageno"],$totalRecords,50);
	$m->showRows($rows,$pageno,$pagination,$showRecords);
	
	
}
if (isset($_GET["manageCardRequest"])) {
	$m = new Manage();
	$result = $m->manageSelectedRecordWithPagination($_GET["search_option"],$_GET["pageno"],5);
	$rows = $result["rows"];
	$pageno=$_GET["pageno"];
	$pagination = $result["pagination"];
	$totalRecords=$result['totalRecords'];
	$showRecords = $m->showNoOfRecords($rows,$_GET["pageno"],$totalRecords,5);
	$m->showCards($rows,$pageno,$pagination,$showRecords);
	
}
if (isset($_POST["updateFunctionRequest"])) {
	$m = new Manage();
	$result = $m->updateRecordFunction(
			                $_POST['rid'],			               
							$_POST['tokenSecretUser']);

	echo json_encode($result);
	exit();
}
?>