<?php 
include "config.php";
?>
<!doctype html>
<html>
<head>
    <title>Generate SP</title>
   <!-- <link href="style.css" rel="stylesheet" type="text/css">-->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/js/bootstrap-multiselect.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!--<script src="script.js"></script>-->
    <style>
        table, th, td {
            border: 1px solid black;
            border-collapse: collapse;
            padding: 5px;
        }
        table tr td:nth-child(5) {
            background: #ccc;
            width:100px;
        }
        table tr td:nth-child(6) {
            background: #ccc;
            width:100px;
        }
        p{
            color:red;
        }
        .highlight {
            background-color:yellow;
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function(){
             //alert("OK!");
             $('#sel_table').click(function(){
                $("#sel_tab").html("Selected: "+$("#sel_table :selected").length);
             });
            $('#scriptDownload').click(function(){
                alert("JQuery Running!");
				//var selected = $('#sel_table').val();
                //var table_name = $('#sel_table').find(":selected").val(); 
                //var sp_name = table_name.replace('tbl','sp');
                $('#sel_table > option:selected').each(function() {
					var table_name = $(this).val();
					var sp_name = table_name.replace('tbl','sp');
					generateSP(table_name,sp_name);
					//list.push($(this).val());
					//alert($(this).val());
   
				});
                //sp_name = getDateString();
		        //var dataString =  'table_id='+ selected;
                //download('sample.txt','Its my sample text');
               
            });
			function generateSP(table_name,sp_name){
				var dataString =  'table_id='+ table_name;
				 $.ajax({    //create an ajax request to display.php
                    type: "GET",
                    url: "get_definition.php",             
                    dataType: "text",   //expect html to be returned    
                    data: dataString,  
			        cache: false, 
                    success: function(response){                    
                    download(sp_name+'.sql',response);
                    }
                });
			}
            function download(filename, text) {
                var element = document.createElement('a');
                element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(text));
                element.setAttribute('download', filename);
                
                element.style.display = 'none';
                document.body.appendChild(element);
                
                element.click();
                document.body.removeChild(element);
            }
            function getDateString(){
                var d = new Date();

                var month = d.getMonth()+1;
                var day = d.getDate();

                var output = d.getFullYear() + '-' + ((''+month).length<2 ? '0': '') + month + '-' + ((''+day).length<2 ? '0' : '') + day;
                return output;
            }
        });
      
    </script>
</head>
<body>
    	<h2>Tables</h2>   
        <select id="sel_table" size="15" name="sel_table[]" multiple>
            <!--<option value="0">- Select -</option>-->
            <?php 
            // Fetch Department
            $sql_tables = "Show Tables";
            $table_data = mysqli_query($con,$sql_tables);
            $count=0;
            while($row = mysqli_fetch_row($table_data) ){
                $table_name = $row[0];
                $count ++;
                //"<option value='".$count."' >".$count."</option>";
                // Option
                echo "<option value='".$row[0]."' >".$row[0]."</option>";
            }
            ?>
        </select>
        <h3 id="sel_tab">Selected: 0</h3>
        <input type="button" id="scriptDownload" value="Download SP" />
        
</body>
</html>



