<?php 
include "config.php";
?>
<!doctype html>
<html>
<head>
    <title>How to Auto populate dropdown with jQuery AJAX</title>
   <!-- <link href="style.css" rel="stylesheet" type="text/css">-->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <style>
        table, th, td {
            border: 1px solid black;
            border-collapse: collapse;
            padding: 5px;
        }
        table tr td:nth-child(5) {
            background: #ccc;
            width:100px;
        }
        table tr td:nth-child(6) {
            background: #ccc;
            width:100px;
        }
        p{
            color:red;
        }
        .highlight {
            background-color:yellow;
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function(){
             //alert("OK!");
            $('#getViewFields').click(function(){
                alert("Showing view fields!");
                //var id = $(this).find(":selected").val();
                var table_name = $('#sel_table').find(":selected").val(); 
		        var dataString =  'table_id='+ table_name;
		        //alert(dataString);
                //download('sample.txt','Its my sample text');
                $.ajax({    //create an ajax request to display.php
                    type: "GET",
                    url: "get_view_fields.php",             
                    dataType: "html",   //expect html to be returned    
                    data: dataString,  
			        cache: false, 
                    success: function(response){                    
                    $("#table_def").html(response); 
                    //alert(response);
                    //download(table_name+'.txt',response);
                    }
                });
            });
            $('#scriptChecked').click(function(){
                //alert('View');
                var table_name = $('#sel_table').find(":selected").val(); 
                var view_name = table_name.replace('tbl','vw');
                //alert(view_name);
                var viewStr = getView(view_name);
                //alert(viewStr);
                //return false;
                var viewFile = view_name +".sql"; 
                download(viewFile,viewStr);
               
            });
            function getViewFields(tableName, fieldName, fieldAlias){
                var queryPart = "";
                queryPart += tableName+".";
                if (!fieldAlias.trim()) {
                    queryPart += fieldName;
                }else{
                   queryPart += fieldName+" AS "+fieldAlias; 
                }
                return queryPart;
            }
            function getJoinStatement(mTable, fkField, cTable, cTableKey){
                var table_name = $('#sel_table').find(":selected").val(); 
                var queryPart="";
                if (table_name==mTable){
                    queryPart += "\nLEFT JOIN ";
                    queryPart += cTable + " ON (";
                    queryPart += mTable + "." + fkField + "=";
                    queryPart += cTable +"." + cTableKey +")";   
                }
                return queryPart;
            }
            function getView(view_name){
                var query = "CREATE or replace VIEW "+view_name+" \nAS \nSELECT ";
                var table = $("table");
                var rowCount = $('#table_def tr').length;//count rows in table
                var masterTable="";
                var leftJoinStr ="";
                var firstRow ="0";
                //Loop through all checked CheckBoxes in GridView.
                $("table input[type=checkbox]:checked").each(function () {
                    var row = $(this).closest("tr")[0];
                    if(rowCount == $('#table_def tr').length){//get masterTable
                        masterTable =row.cells[0].innerHTML;
                    }
                    if(firstRow>0){
                        query+= ", "+"\n";
                    }
                    query += getViewFields(
                            row.cells[0].innerHTML,
                            row.cells[1].innerHTML,
                            row.cells[5].innerHTML);
                            
                    if(row.cells[2].innerHTML.trim()){// check for Joining table
                        leftJoinStr += getJoinStatement(
                            row.cells[0].innerHTML,
                            row.cells[1].innerHTML,
                            row.cells[2].innerHTML,
                            row.cells[3].innerHTML);
                    }
                    firstRow=1;
                    //rowCount --;
                    //if(rowCount>0){
                        
                    //}

                });
                query += "\nFROM "+masterTable;
                query += leftJoinStr+";";
                return query;
            }
            //$("table input[type=checkbox]:checked")
           $("[name='chkfld']").change(function() {
                $(this).closest('tr').toggleClass('highlight');
            });
            function download(filename, text) {
                var element = document.createElement('a');
                element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(text));
                element.setAttribute('download', filename);
                
                element.style.display = 'none';
                document.body.appendChild(element);
                
                element.click();
                document.body.removeChild(element);
            }
        });
      
    </script>
</head>
<body>


        <div>Tables </div>
        <select id="sel_table" name="sel_table">
            <option value="0">- Select -</option>
            <?php 
            // Fetch Department
            $sql_tables = "Show Tables";
            $table_data = mysqli_query($con,$sql_tables);
            $count=0;
            while($row = mysqli_fetch_row($table_data) ){
                $table_name = $row[0];
                $count ++;
                //"<option value='".$count."' >".$count."</option>";
                // Option
                echo "<option value='".$row[0]."' >".$row[0]."</option>";
            }
            ?>
        </select>
        <div class="clear"></div>
    <input type="button" id="getViewFields" value="Get VIEW fields" />
    <input type="button" id="scriptChecked" value="Download View" />
    <div id="table_def"></div>
</body>
</html>



