<?php
include_once("./config/constants.php");

if (!isset($_SESSION["userid"])) {
  header("location:".DOMAIN."/");
}
 include 'layouts/header.php';
 
include 'layouts/navbar.php';
include 'layouts/commonTools.php';
$_SESSION['title_name'] ='Production Units';
?>


<input type="hidden" name="title_name" id="title_name" value="<?php echo $_SESSION['title_name'];?>" />
     <span  data-toggle="tooltip" data-html="true" data-placement="top" title="Add New Record" class="float-right">
          <button type="button" class="btn  btn-sm  " data-toggle="modal" data-target="#myModal"><i class='fas fa-plus' style='font-size:14px'></i></button>
        </span>
</div>
</div>
<hr class="featurette-divider">
  <div class="row font-weight-bold " id="messageBox"> 
 
    <div id="success_message" class="text-white rounded col-sm-12 " style="display: none;" ></div>
    <div id="error_message" class="text-white rounded col-sm-12 " style="display: none;"></div>
</div>

<div  class="col-sm-12 p-0" id="table-area"> 
  <table class="table-sm table-bordered border col-sm-12" id="myTable">   
        <thead class="text-left">
          <th class="text-center"><input type="checkbox" class="form-control-md" id="selectAllCmb" /></th> 
        <th>Name</th> 
        <th>Type</th>  
        <th></th>
      </thead>
      <tbody id="get_list" class="text-center">
          
      </tbody>            
    </table>          
</div>
<div class="row ml-2 mr-2" id="card-area" style="display: none;">

  <div id="get_card" >
  
  </div>
</div>


<!---------------------------------------- popup for add record ---------------------------------------------- -->
  <div class="modal fade hide " id="myModal" role="dialog">
    <div class="modal-dialog modal-md modal-dialog-scrollable">
      <div class="modal-content ">
        <div class="modal-body">
          <div class="row">
                <div class="col"><h6 class="text-bold">Production Unit</h6></div>
                  <div class="col text-right">
                    <input class="btn btn-sm btns form-control-sm mr-1" type="submit" id="addButton" name="addButton" value="Save">
                    <input type="button" class="btn btn-sm  btn_close form-control-sm" id="closeButton" data-dismiss="modal" value="Close">
                  </div>
                </div>
                <hr class="featurette-divider">
          
                 <div class="row font-weight-bold " id="messageBox"> 

                    <div id="success_message_modal" class="text-white rounded col-sm-12 " style="display: none;" ></div>
                    <div id="error_message_modal" class="text-white rounded col-sm-12 " style="display: none;"></div>
                 
                </div>
                  <div id="form-content">
                    <form id="myForm" onsubmit="return false" class="p-2 entryform form">
                <input type="hidden" name="pid" id="pid" value="0">
                <div class="row">
                  <label for="production_unit_name" class="col-sm-4">Name*</label>
                  <div class="col-sm-8">
                    <input type="text" id="production_unit_name" name="production_unit_name" class="form-control form-control-sm required" required />
                  </div>
                </div>        
                <div class="row">
                  <label for="production_unit_type" class="col-sm-4">Type </label>
                  <div class="col-sm-8">
                       
                    <select class="form-control form-control-sm " id="production_unit_type" name="production_unit_type">
                      
                    </select>      
                  </div>
                </div>
                                     
                <div class="row" id="modal-bottom">
                  <div class="col-sm-6 ">
                      <small class="font-normal float-left">Fill required fields(*)</small>
                    </div>
                </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php include 'layouts/footer.php' ?>
<script type="text/javascript">
  document.title ="Production Units";
  $('#titlePage').html( 'Production Units');
  
 
</script>
<script type="text/javascript" rel="stylesheet" src="./js/productionUnitsPageJs.js"></script>