DROP PROCEDURE IF EXISTS sp_current_production_quantity;
DELIMITER $$
CREATE PROCEDURE sp_current_production_quantity(
	in vproduction_id int,
	in vquantity int
	)
BEGIN
	DECLARE int_avl_qty int;
	
		SELECT sum(dec_quantity) into int_avl_qty FROM (
			select sum(dec_quantity) as dec_quantity from vw_stock_movement where int_target_production_id=vproduction_id 
		UNION ALL 
			select sum((dec_quantity*-1)) as dec_quantity from vw_stock_movement where int_source_production_id=vproduction_id
		)AS qry
			HAVING ( Sum(dec_quantity) > 0 );
		if(vquantity>int_avl_qty) THEN
			select txt_batch_no as batch_no ,'' as dec_quantity from vw_production where int_production_id=vproduction_id;
		else
			select txt_batch_no as batch_no,int_avl_qty as dec_quantity from vw_production where int_production_id=vproduction_id;
		END IF;
END$$
DELIMITER ;