<?php include_once('scripts/main.php'); ?>
<?php
$POid= get_max_Id('tblpo','intPOid');
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Single Publication Order</title>
        <link rel="stylesheet" href="css/style.css"/>
		<link rel="stylesheet" href="css/jquery-ui.css">
		<script src="js/jquery-1.12.4.js"></script>
		<script src="js/jquery-ui.js"></script>
		<script src="js/jquery.validate.min.js"></script>
		<style>
			fieldset {
			  border: 0;
			}
			label {
			  display: block;
			  margin: 10px 0 0 0;
			}
			.overflow {
			  height: 100px;
			}
		</style>
		
    </head>
    <body>
       <div class="wrap">
            <?php include 'layout/header.php'; ?>
           <div class="porder"> <h6>Single Client Publishing Order Details :</h6>
            <br class="clearfix" /></div>
            <hr class="separator"/>            
            
             <article>
                 
               <form id="po" action="scripts/insert_po.php" method="post" class="contact-form">
                   <div>
                        <label class="label" for="OrderNo">Order No.:</label>
                        <label id="OrderNoValue" >
                            <?php echo "{$POid}"; ?>
                        </label>
                         <input name="OrderNoValue" type="hidden" value="<?php echo "{$POid}"; ?>" />
                   </div>
                   <div>
                     <label class="label" for="Orderdt">Order Date: (dd-mm-yyyy)</label>
                       <input type="text" name="Orderdt" id="Orderdt" readonly="readonly" class="required" value="<?php echo  date('d-m-Y'); ?>"  >
                   </div>
                  
                   <div>
                        <label class="label" for="Client">Client Name:<span class="red">*</span></label>
                        <input type="text" name="client" id="client" class="required" placeholder="Enter client initials...">
                   </div>
				   <div>
                        <label class="label" for="adplatform">Select News paper:<span class="red">*</span></label>
                        <?php 
							if (isset($_GET['orderid'])){//edit case 
								get_ad_platform($platform);
							}else{
								get_ad_platform('1'); 
							}
						?>
                   </div>
				   <div>
                        <label class="label" for="commission">Comm. percentage:<span class="red">*</span></label>
                        <?php 
							if (isset($_GET['orderid'])){
								get_ad_platform_comm($commpercent);
							}else{
								get_ad_platform_comm('1');
							}
						?>
                   </div>
				   
                   <div>
                        <label class="label" for="Editions">Select Editions:<span class="red">*</span></label>
                        <?php 
							if (isset($_GET['orderid'])){
								Edit_editions_chkbox($_GET['orderid']);   
							}else{
								get_editions_chkbox(); 
							}
                        ?>
                   </div>
                   <div>
                        <label class="label" for="caption">Select Caption:<span class="red">*</span></label>
                        <?php 
							if (isset($_GET['orderid'])){
								Edit_caption_chkbox($AdvtTypeId)   ;
							}else{
								get_caption_chkbox();
							}
                        ?>
                   </div>
                   <div>
                   <label class="label" for="Guranteedpos">Guaranteed Position :<span class="red">*</span></label>
                  <input type="text" name="guranteedpos" id="guranteedpos"    placeholder="Enter Guaranteed Position :..."> 
                   </div>
                   
                   <div>
                   <label class="label" for="Colour/BW">Color-BW :<span class="red">*</span></label>
                 <input type="checkbox" name="chktype[]" value="Colour" />&nbsp;Colour
                 <input type="checkbox" name="chktype[]" value="B/W" />&nbsp;BW
                   </div>
                   
                    <div>
                   <label class="label" for="Height">Height :<span class="red">*</span></label>
                  <input type="text" name="height" id="height" class="required number" placeholder="Enter Height:..."> 
                   </div>
                   
                    <div>
                  <label class="label" for="Width">Width :<span class="red">*</span></label>
                  <input type="text" name="width" id="width" class="required number"  placeholder="Enter Width:..."> 
                   </div>
                   
                   <div>
                   <label class="label" for="TotalSize">Total Size :<span class="red">*</span></label>    
                    <input type="text" name="totalsize" id="totalsize" class="required number"  placeholder="Enter Total Size:..." readonly> 
                   </div>
                   
                   <div>
                       <label for="Dimension">Dimension :<span class="red">*</span></label>    
						<label id="dimension" ></label>
						<input name="DimensionValue" id="DimensionValue" type="hidden" value="" />
                   </div>
                    <div>
                    <label class="label" for="Rate">Rate(Per Sq cm) :<span class="red">*</span></label>    
                    <input type="text" name="rate" id="rate" value="0" class="required number" placeholder="Enter Rate(Per Sq cm):...">  
                   </div>
                    <div>
                    <label class="label" for="BillRate">Bill Rate(Per Sq cm) :<span class="red">*</span></label>    
                    <input type="text" name="billrate" id="billrate" class="number" value="0" placeholder="Enter Bill Rate :...">  
                   </div>
                   <div>
                        <input type="checkbox" name="isTaxExempted" > Is tax exempted in bill?<br>
                   </div>
                   <div>
                    <label class="label" for="BillAmount">Bill Amount :<span class="red">*</span></label>    
                    <input type="text" name="billamount" id="billamount" class="number"  value="0" placeholder="Enter Bill Amount :..."> 
					<label id="billamountAfterGST" >:</label>
                   </div>
                    <div>
                       <label class="label" for="Amount">Amount :<span class="red">*</span></label>    
                    <input type="text" name="amount" id="amount" class="required number"   placeholder="Enter Amount :..." >  
                   </div>
                    <div>
                       <label class="label" for="Insertion">No. of Insertion:<span class="red">*</span></label>    
                    <input type="text" name="insertion" id="insertion"  class="required number"  placeholder="Enter No. of Insertion:...">  
                   </div>
                    <div>
                       <label class="label" for="TotalAmount">Total Amount :<span class="red">*</span></label>    
						<input type="text" name="totalamount" id="totalamount" class="required number"  placeholder="Enter Total Amount" readonly >
						<label id="totalAfterGST" >:</label>
                   </div>
                    <div>
                       <label class="label" for="Premium">Premium :<span class="red">*</span></label>    
                    <input type="text" name="premium" id="premium" value="0"  placeholder="Enter Premium:..." >  
                   </div>
                    <div>
                       <label for="Commision">Commision :<span class="red">*</span></label>    
						<input type="text" name="commision" id="commision" class="required number" value="0"  placeholder="Enter Commision :...">   
                   </div>
                    <div>
						<label class="label" for="NetAmount">Net Amount :<span class="red">*</span></label>    
						<input type="text" name="netamount" id="netamount" class="required number"  placeholder="Enter Net Amount:..." readonly>  
						<label id="purchaseAfterGST" >:</label>
                   </div>
                    <div>
                       <label class="label" for="CreditDays">Credit Days :<span class="red">*</span></label>    
                    <input type="text" name="creditdays" id="creditdays"   placeholder="Enter Total Credit Days:...">  
                   </div>
                   <div>
                    <label class="label" for="rodate">RO Date :(dd-mm-yyyy)<span class="red">*</span></label>    
                    <input type="text" name="roDate" id="roDate" placeholder="Enter RO Date:...">  
                   </div>
                    <div>
                       <label class="label" for="Remarks">Remarks :<span class="red">*</span></label>    
                    <input type="text" name="remarks" id="remarks"   placeholder="Enter Remarks:...">  
                   </div>
                    <div>
                       <label class="label" for="paymentterms">Payment Terms :<span class="red">*</span></label>    
                    <input type="text" name="PaymentTerms" id="PaymentTerms"   placeholder="Enter Payment Terms:...">  
                   </div>
                   <div>
                        <input id="submit" type="submit" name="submit" value="Save & Print" />   
                   </div>
             </form>
            </article>
            <?php include 'layout/footer.php'; ?>
	</div>
	<script>
		$(document).ready(function() {
			
			//----start validate
			$('#po').validate();
			$('#po input').on('keyup blur', function () {
					if ($('#po').valid()) {
						$('#submit').prop('disabled', false);
						//$('#submit').css( "background-color", "green"); 
						//$('#testlabel').text('Valid');
					} 
					else {            
						$('#submit').prop('disabled', 'disabled');
						//$('#submit').css( "background-color", "red"); 
						//$('#testlabel').text('In Valid');
					}    
				});
			//----End validate
			$( "#Orderdt" ).datepicker({ dateFormat: 'dd-mm-yy'});
			
			$('#height').keyup(function(){
				calculateSize();
				calculateTotalAmount();
				calculateOverBillAmount();
			});
			$('#width').keyup(function(){
				calculateSize();
				calculateTotalAmount();
				calculateOverBillAmount();
			});
			$('#rate').keyup(function(){
				calculateTotalAmount();		
			});
			$('#insertion').keyup(function(){
				calculateTotalAmount();
				calculateOverBillAmount();
			});
			$('#commpercent').change(function(){
				calculateTotalAmount();
			});
			
			$('#billrate').keyup(function(){
				calculateOverBillAmount();
			});

			$('#isTaxExempted').click(function() {
				calculateTotalAmount();
				calculateOverBillAmount();
			});
			
			function calculateSize(){
				var widthVal = $('#width').val();
				var heightVal = $('#height').val();
				var adSize = heightVal*widthVal;
				$('#totalsize').val(adSize);
				
				var dimen = widthVal + 'X' + heightVal;
				$('#dimension').text(dimen);
				$('#DimensionValue').val(dimen);
			}
			
			function calculateTotalAmount(){
				var adSize = $('#totalsize').val();
				var adRate = $('#rate').val();
				var adAmount = adSize*adRate;
				var adInsertion = $('#insertion').val();
				$('#amount').val(adAmount);
				var adTotalAmount = adInsertion*adAmount;
				$('#totalamount').val(adTotalAmount);
				
				var adComPercent = $('#commpercent :selected').text();
				var Comm = (adTotalAmount*adComPercent/100);
				var netAmount = adTotalAmount - Comm ;
				
				if (!$('#isTaxExempted').attr('checked')){
					var purchaseAfterGST = netAmount*1.05;
					$('#purchaseAfterGST').text('Purchse after GST: '+purchaseAfterGST);
					
					var totalAfterGST = adTotalAmount*1.05;
					$('#totalAfterGST').text('Total after GST: '+ totalAfterGST);
				}else{
					$('#purchaseAfterGST').text(':');
					$('#totalAfterGST').text(':');
				}
				
				$('#commision').val(Comm);
				$('#netamount').val(netAmount);

			}
			
			function calculateOverBillAmount(){
				$('#billamountAfterGST').text(':');
				
				var adSize = $('#totalsize').val();
				var billRate = $('#billrate').val();
				if ($('#insertion').val() == 0){
					var adInsertion = 1;
				}else{
					var adInsertion = $('#insertion').val();
				}
				
				var billAmount = (billRate*adSize*adInsertion);
				$('#billamount').val(billAmount);
				var billAfterGST = billamount*1.05;
				if (!$('#isTaxExempted').attr('checked')){
					$('#billamountAfterGST').text('Total bill after GST: '+ billAfterGST);
				}else{
					$('#billamountAfterGST').text(':');
				}
				
			}
			
			jQuery('.numbersOnly').keyup(function () { 
					this.value = this.value.replace(/[^0-9\.]/g,'');
			});
			
		});//end doc ready
	</script>
    </body>
</html>
