<?php
	
	require('fpdf/fpdf.php');
	include 'exfpdf.php';
 	include 'easyTable.php';
 	class Manage
	{
		
		private $con;

		function __construct()
		{
			include_once("../config/connection.php");
			$db = new Database();
			$this->con = $db->connect();
		}
		public function runQuery($query) {
	        $result = mysqli_query($this->con, $query);
	        if($result){
	           
	        while($row=mysqli_fetch_assoc($result)) {
	            $resultset[] = $row;
	            
	        }
	        if(!empty($resultset))
	            return $resultset;
	    }
	    }
	   	
	}	

	
	$m = new Manage();
	$company_name ="Eco Organics";
	$company_address = "Rampur";
	$result = $m->runQuery(" SELECT * FROM `vw_gate_pass` where int_gate_pass_id =".$_GET['int_id']);
	$result1 = $m->runQuery(" SELECT @acount:=@acount+1 id, `txt_item`,`int_qty`,`dec_rate`,`dec_total` FROM (SELECT @acount:= 0) as id ,`tbl_gate_pass_item` where int_gate_pass_id =".$_GET['int_id']);
	//header('Content-Type: application/pdf; filename=' . $page_name);
	
	$pdf=new exfpdf();
	$pdf->AddPage('P');	
	$pdf->SetFont('Arial','',10);
	$pdf->SetFillColor(232,232,232);
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(190 ,8,$company_name,'LRT',1,'C',0);
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(190 ,8,'Gate Pass','LRB',1,'C',0);
	$x = $pdf->GetX();
	$y = $pdf->GetY();
	$pdf->Cell(80 ,44,'','LRB',0,'L',0);	
	$pdf->Cell(109.9 ,44,'','LRB',0,'L',0);	
	$pdf->setX($x);
	$pdf->setY($y);
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(80 ,8,' TO/From','',0,'L',0);
	$x1 = $pdf->GetX();
	$y1 = $pdf->GetY();
	$pdf->Cell(28.5 ,16,'G.P No.','LRB',0,'C',0);
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(30 ,16,$result[0]['int_gate_pass_id'],'LRB',0,'C',0);
	$pdf->Cell(51.5 ,16,'Date:-  '.date('d-m-Y',strtotime($result[0]['dat_gate_pass'])),'LRB',1,'C',0);
	$pdf->setY($y1);
	$pdf->Cell(80 ,16,' '.$result[0]['txt_customer_name'],'',0,'L',0);
	$pdf->SetFont('Arial','',10);
	$pdf->setY($y+16);
	$pdf->Cell(80 ,8,' ','',0,'C',0);
	$pdf->Cell(28.5 ,8,'Transport ','LRB',0,'C',0);
	$pdf->Cell(81.5 ,8,'   '.$result[0]['txt_transport'],'LRB',1,'L',0);
	$pdf->Cell(80 ,8,'','',0,'C',0);
	$pdf->Cell(28.5 ,8,'Vehicle No. ','LRB',0,'C',0);
	$pdf->Cell(81.5 ,8,'   '.$result[0]['txt_vechile_no'],'LRB',1,'L',0);
	$pdf->Cell(80 ,12,'','',0,'C',0);
	$pdf->Cell(28.5 ,12,'Invoice No. ','LRB',0,'C',0);
	$pdf->Cell(81.5 ,12,'   '.$result[0]['txt_invoice_no'],'LRB',0,'L',0);
	$pdf->Ln();
	$col=7;
	$table=new easyTable($pdf,$col, 'width:100%; bgcolor:#fff; line-height:2;border-width:0.001; border:1; border-color:#000;');
	$header[]= array('S.No','Description of Goods','Quantity','Rate','Amount');	
	foreach($header as $heading) {
		$table->rowStyle('valign:M;border:LRBT;border-color:#000;align:C;');
		foreach($heading as $column_heading){
			if($column_heading=='Description of Goods'){ 	
				$table->easyCell($column_heading,'align:C;colspan:3;'); 
			}else{
				$table->easyCell($column_heading,'align:C;'); 
			}
		}
	}
	$table->printRow();
	if($result1){
    	foreach($result1 as $row){
    		//echo json_encode($row);
    		$table->easyCell($row['id'],'align:C;'); 		
    		$table->easyCell($row['txt_item'],'align:C;colspan:3;'); 
    		$table->easyCell($row['int_qty'],'align:C;'); 
    		$table->easyCell($row['dec_rate'],'align:C;'); 
    		$table->easyCell($row['dec_total'],'align:C;'); 
    		$table->printRow();
    	} 	
	}
	$table->easyCell('Please Handover the following material to the Bearer this Slip ','colspan:4'); 
	$table->easyCell('Gross Total ','colspan:2;align:C;'); 
	$table->easyCell($result[0]['dec_total'],'align:C;'); 
	$table->printRow();
	$table->easyCell(' Remark : '.$result[0]['txt_remark'],'align:L;colspan:7;');
	$table->easyCell(' ','align:C;colspan:7;border:none;');
	$table->printRow();
	$pdf->ln(2);	
	$table->easyCell(' ','align:C;colspan:7;border:none;'); 
	$table->printRow();
	
	$table->easyCell('Maker : '.$result[0]['by_user_name'],'align:L;colspan:4;border:none;'); 
	$table->easyCell('Approved By ','align:C;colspan:2;border:none;'); 
	$table->printRow();
	$tot_amount=0;	
 	$pdf->Output();

?>