$(document).ready(function(){

   ///----------------for getting variable from link---------------------

  $.urlParam = function(name){
    var results   =   new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
    if (results==null) {
            return null;
    }
    return decodeURI(results[1]) || 0;
  }
  getReactorUnit();
  $("#search_item").keyup(function(){
      manageListFunction(1,$(this).val());
  });

  function addFunctionReaction(){
      var rid                                   =     $('#rid').val();
      var reactor_st_date           		    =	  $('#reactor_st_date').val();
      var reaction_id                   		=     $('#reaction_id').val();
      var reactor_feed                    		=     $('#reactor_feed').val();
      var reactor_batch_no                      =     $('#reactor_batch_no').val();
      var reactor_hypo_name                     =     $('#reactor_hypo_name').val();
      var reactor_hypo_qty                      =     $('#reactor_hypo_qty').val();
      var reactor_lm                     		=     $('#reactor_lm').val();
      var reactor_dlm                     		=     $('#reactor_dlm').val();
      var reactor_menthone                     	=     $('#reactor_menthone').val();
      var reactor_time                     		=     $('#reactor_time').val();
      var reactor_dl                     		=     $('#reactor_dl').val();
      var reactor_temperature             		=     $('#reactor_temperature').val();
      var reactor_remarks                 		=     $('#reactor_remarks').val();
      
      var returnvalue=0;
      if(reaction_id == 0){
          $("#reaction_id").focus();
          $('#error_message').html("Please fill compulsory fields!");
          return false;
      }
      if(reactor_batch_no == ''){
          $("#reactor_batch_no").focus();
          $('#error_message').html("Please fill compulsory fields!");
          return false;
      }
      if(reactor_st_date == ''){
          $("#reactor_st_date").focus();
          $('#error_message').html("Please fill compulsory fields!");
          return false;
      }
      else{      
        $.ajax({
          url : DOMAIN+"/includes/ReactorPageProcess.php",
          method : "POST",
          data : {addFunctionRequest:1,
                    rid,
                    reactor_st_date,
                    reaction_id,
                    reactor_feed,
                    reactor_batch_no,
                    reactor_hypo_name,
                    reactor_hypo_qty,
                    reactor_lm,
                    reactor_dlm,
                    reactor_menthone,
                    reactor_time,
                    reactor_dl,
                    reactor_temperature,
                    reactor_remarks,
                    tokenSecretUser,
                    financial_year
                },
          //dataType : "json",
          async: false,
          beforeSend: function() { 
              //$("#addButton").prop('disabled', true); // disable button
            },
          success : function(data){
             //console.log(data);
             data= data.trim() ;
             data= data.toString() ;
             if (data) {
              returnvalue = data;
             } else {
              returnvalue=0;
             }  
          }
        })
      }
      return returnvalue;
  }
  $('#addButton').on('click',function(){
    var rid                      =     $('#rid').val();
    var returnval = addFunctionReaction();
    console.log(returnval);
    manageListFunction(1);
    if (returnval !=0) {
        $("#success_message").show();
        if(rid == 0){
          $('#success_message').fadeIn().html("Added Successfully..!");  
        }else{
          $('#success_message').fadeIn().html("Updated Successfully..!");
        }
        $("#addButton").prop('disabled', false);
		setTimeout(function(){  
			$('#success_message').fadeOut("Slow");          
			$('#myModal').modal('toggle');          
		}, 2000);       
	}
    else{
		$("#error_message").show();
        $('#error_message').html("Server not responding..Please try again"); 
        setTimeout(function(){  
            $('#error_message').fadeOut("Slow");  
        }, 2000);
    }
  });
  
  function getReactorUnit(){    
    $.ajax({
      url : DOMAIN+"/includes/ReactorPageProcess.php",
      method : "get",      
      async: false,
      data : {getReactorUnit:1},
      success : function(data){
          var option = "<option value='0'>Choose</option>"
          $('#reaction_id').html(option+data);
        
        }
    })
  }

  $("body").delegate(".editButton","click",function(){
    var eid     =     $(this).attr("eid");
    fillFormFunction(eid)
  })
  function fillFormFunction(rid){    
    $.ajax({
      url : DOMAIN+"/includes/ReactorPageProcess.php",
      method : "get",
      dataType : "json",
      async: false,
      data : {fillFormRequest:1,id:rid},
      success : function(data){
        $('#rid').val(data["int_reaction_id"]);
        $('#reactor_st_date').val(data["dat_reaction"]);
        $('#reaction_id').val(data["int_reactor_id"]);
        $('#reactor_feed').val(data["int_feed"]);
        $('#reactor_batch_no').val(data["txt_batch_no"]);
        $('#reactor_hypo_name').val(data["txt_hypo_name"]);
        $('#reactor_hypo_qty').val(data["dec_hypo_qty"]);
        $('#reactor_lm').val(data["dec_lm"]);
        $('#reactor_dlm').val(data["dec_dlm"]);
        $('#reactor_menthone').val(data["dec_menthone"]);
        $('#reactor_time').val(data["txt_time"]);
        $('#reactor_dl').val(data["dec_dl"]);
        $('#reactor_temperature').val(data["txt_temprature"]);
        $('#reactor_remarks').val(data["txt_remark"]);        
        }
    });
  }
   
  $("body").delegate("#deleteButton","click",function(){
    var did       =       $("#did").val();
   
      $.ajax({
        url : DOMAIN+"/includes/ReactorPageProcess.php",
        method : "get",
       // dataType : "json",
        data : {deleteRequest:1,id:did},
        success : function(data){
        //console.log(data);
          if (data!=0) {
            $('#myModalDelete').modal('toggle');
            $("#success_message").show();
            $('#success_message').fadeIn().html(" Deleted Successfully..!");  
              setTimeout(function(){  
                   $('#success_message').fadeOut("Slow");  
              }, 2000);
            manageListFunction(1);
            manageCardFunction(1);
          }else{
            $('#myModalDelete').modal('toggle');
            $("#error_message").show();
            $('#error_message').html("Cannot be Deleted!! This record is used in other files."); 
             setTimeout(function(){  
                   $('#error_message').fadeOut("Slow");  
              }, 2000);
          }
            
        }
      })
    
  });

  manageListFunction(1);
  function manageListFunction(pn,search_option=0){
	var search_option= $('#search_item').val();
	var search_option1='';
	if(search_option==''){
		search_option1='0';
	}else{
		search_option1=search_option;
	}
    $.ajax({
      url : DOMAIN+"/includes/ReactorPageProcess.php",
      method : "get",
      data : {manageListRequest:1,search_option:search_option1,pageno:pn},
      async: false,
      success : function(data){
        $("#get_list").html(data); 
          
      }
    })
    //countRowsToAdjustHeight();
  }
  manageCardFunction(1);
  function manageCardFunction(pn,search_option=0){
	var search_option= $('#search_item').val();
	var search_option1='';
	if(search_option==''){
		search_option1='0';
	}else{
		search_option1=search_option;
	}
   
    $.ajax({
      url : DOMAIN+"/includes/ReactorPageProcess.php",
      method : "get",
      data : {manageCardRequest:1,search_option:search_option1,pageno:pn},
      async: false,
      success : function(data){
        $("#get_card").html(data);   
      }
    })
  }
  $("body").delegate(".page-link","click",function(){
    var pn      =       $(this).attr("pn");
    manageListFunction(pn);
    manageCardFunction(pn);
  })
   function searchShowListFunction(option){
      var option      =   $('#search_option').val();
      $.ajax({
        url : DOMAIN+"/includes/ReactorPageProcess.php",
        method : "get",
        data : {manageListRequest:1,search_option:option,pageno:1},
        async: false,
        success : function(data){
          $("#get_list").html(data);  

        }
      })
  }
  function searchShowCardFunction(option){
      var option      =   $('#search_option').val();
      $.ajax({
        url : DOMAIN+"/includes/ReactorPageProcess.php",
        method : "get",
        data : {manageCardRequest:1,search_option:option,pageno:1},
        async: false,
        success : function(data){
          $("#get_card").html(data);  

        }
      })
  }

  $("body").delegate("#filterAllRecordsid","click",function(){ 
        
        searchShowListFunction();
        searchShowCardFunction();
  });
  function searchBox(search_option1,search_option2,search_option3){
    $.ajax({
      url : DOMAIN+"/includes/ReactorPageProcess.php",
      method : "get",
      data : {manageListSearchRequest:1,
              search_option1:search_option1,
              search_option2:search_option2,
              search_option3:search_option3,
              pageno:1
           },
      async: false,
      success : function(data){
        $("#get_list").html(data);  

      }
    })
  }
  function searchBoxCards(search_option1,search_option2,search_option3){
    $.ajax({
      url : DOMAIN+"/includes/ReactorPageProcess.php",
      method : "get",
      data : {manageCardSearchRequest:1,
              search_option1:search_option1,
              search_option2:search_option2,
              search_option3:search_option3,
              pageno:1
           },
      async: false,
      success : function(data){
        $("#get_card").html(data);  

      }
    })
  }
  $("body").delegate("#btnSearch"," click",function(){  
      var search_option1         =   $('#search_option1').val();
      var search_option2       =   $('#search_option2').val();
      var search_option3           =   $('#search_option3').val();
      searchBox(search_option1,search_option2,search_option3);
      searchBoxCards(search_option1,search_option2,search_option3);
  });
  $('#btnReset').on('click',function(){
      $('input:text').val("");
      manageListFunction(1);
      manageCardFunction(1);
  })
  $('#myModal').on('hidden.bs.modal', function(e) {
       $('#rid').val('0');
        $("#myForm").trigger( "reset" );
        $("#myForm").removeData();
        $("#myFormDrums").trigger( "reset" );
        $("#myFormDrums").removeData();
  });
  
})