<?php
include_once("./config/constants.php");

if (!isset($_SESSION["userid"])) {
  header("location:".DOMAIN."/");
}
 include 'layouts/header.php';
 
include 'layouts/navbar.php';
include 'layouts/commonTools.php';
$_SESSION['title_name'] ='Sales';
?>


<input type="hidden" name="title_name" id="title_name" value="<?php echo $_SESSION['title_name'];?>" />
     <span  data-toggle="tooltip" data-html="true" data-placement="top" title="Add New Record" class="float-right">
          <button type="button" class="btn  btn-sm  " data-toggle="modal" data-target="#myModal"><i class='fas fa-plus' style='font-size:14px'></i></button>
     </span>
     <input type="text" class="form-control form-control-sm float-right col-sm-4" name="search_item" id="search_item"/>
</div>
</div>
<hr class="featurette-divider">
  <div class="row font-weight-bold " id="messageBox"> 
 
    <div id="success_message" class="text-white rounded col-sm-12 " style="display: none;" ></div>
    <div id="error_message" class="text-white rounded col-sm-12 " style="display: none;"></div>
</div>

<div  class="col-sm-12 p-0" id="table-area"> 
  <table class="table-sm table-bordered border col-sm-12" id="myTable">   
    <thead class="text-left">
      <th class="text-center"><input type="checkbox" class="form-control-md" id="selectAllCmb" /></th> 
      <th>Sale No</th>
      <th>Date</th> 
      <th>Party</th> 
      <th>Product</th> 
      <th class="text-right">Quantity</th>
      <th></th>
    </thead>
    <tbody id="get_list" class="text-center">
        
    </tbody>            
  </table>          
</div>
<div class="row ml-2 mr-2" id="card-area" style="display: none;">

  <div id="get_card" >
  
  </div>
</div>


<!---------------------------------------- popup for add record ---------------------------------------------- -->
  <div class="modal fade hide " id="myModal" role="dialog">
    <div class="modal-dialog modal-md modal-dialog-scrollable">
      <div class="modal-content ">
        <div class="modal-body">
          <div class="row">
                <div class="col"><h6 class="text-bold">Sale</h6></div>
                  <div class="col text-right">
                    <input class="btn btn-sm btns form-control-sm mr-1" type="submit" id="addButton" name="addButton" value="Save">
                    <input type="button" class="btn btn-sm  btn_close form-control-sm" id="closeButton" data-dismiss="modal" value="Close">
                  </div>
                </div>
                <hr class="featurette-divider">
          
                 <div class="row font-weight-bold " id="messageBox"> 

                    <div id="success_message_modal" class="text-white rounded col-sm-12 " style="display: none;" ></div>
                    <div id="error_message_modal" class="text-white rounded col-sm-12 " style="display: none;"></div>
                 
                </div>
                  <div id="form-content">
                    <form id="myForm" onsubmit="return false" class="p-2 entryform form">
                <input type="hidden" name="pid" id="pid" value="0">
                <input type="hidden" name="sale_int_number" id="sale_int_number" value="0">
                <input type="hidden" name="sale_format_text" id="sale_format_text" value="0">
                <span class="text-danger" id="table_error_msg"></span>
				<div class="row">
                  <label for="sale_date" class="col-sm-4">Date*</label>
                  <div class="col-sm-8">
                    <input type="date" id="sale_date" name="sale_date" class="form-control form-control-sm required" value="<?php echo date('Y-m-d')?>" />
                  </div>
                </div>        
                <div class="row">
                  <label for="sale_party" class="col-sm-4">Party </label>
                  <div class="col-sm-8">
                       
                    <select class="form-control form-control-sm " id="sale_party" name="sale_party">
                      
                    </select>      
                  </div>
                </div>
                <div class="row">
                  <label for="sale_product" class="col-sm-4">Product </label>
                  <div class="col-sm-8">
                       
                    <select class="form-control form-control-sm " id="sale_product" name="sale_product">
                      
                    </select>      
                  </div>
                </div> 
				<div class="row">
                    <label for="sale_product_from" class="col-sm-4">Product From</label>
					<div class="col-sm-8">
                        <select class="form-control form-control-sm " id="sale_product_from" name="sale_product_from">
                            <option value="0">Select</option>
                            <option value="1">Purchase</option>
                            <option value="2">Drum</option>
                            <option value="3">Storage</option>
                            <option value="4">Opening</option>
                            <option value="5">Production</option>
                        </select> 
					</div>
                </div> 
				<div class="row">
					<div class="col-sm-7 p-2 border">
						<div class="container">
							<div class="row">
								<div class="row col-sm-12">
									<div  class="col-sm-12 " id="table-area-sm"> 
										<table class="table-sm table-bordered  col-sm-12" id="myTableProductionIn">   
											<thead class="text-right">
												<th class="text-center"><input type="checkbox" class="form-control-md" id="selectAllCmb" /></th>
												<th id="showProductionFromName">Name/No.</th>
												<th>Available</th> 
											</thead>
											<tbody id="get_list_production_in" class="text-center">
												
											</tbody>            
										</table>          
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-sm-5 p-2 border">
						<div class="container">
							<div class="row">
								<div class="col-sm-12">
									<label for="sale_qty" class="col-sm-12">Quantity</label>
									<input type="text" id="sale_qty" name="sale_qty" class="form-control form-control-sm required" required />
								</div>
							  
							  <div class="col-sm-12">
									<label for="sale_qty" class="col-sm-12">Rate</label>
									<input type="text" id="sale_rate" name="sale_rate" class="form-control form-control-sm required" value="0" required />
							  </div>
							  <div class="col-sm-12">
								<label for="sale_remarks" class="col-sm-12">Remarks</label>
								<input type="text" id="sale_remarks" name="sale_remarks" class="form-control form-control-sm required" required />
							  </div>
							</div>  
							  
							  				
						
						</div>
					</div>
					
				</div>
                <div class="row">
					<div class="col-sm-12 p-2 border">
						<div class="container">
							<div class="row">
								<div class="row col-sm-12">
									<div  class="col-sm-12 " id="table-area-sm"> 
										<table class="table-sm table-bordered  col-sm-12" id="myTableProductionIn">   
											<thead class="text-right">
												<th>S.No</th>
												<th>Product Name</th>
												<th id="showProductionFromName">Name/No.</th>
												<th>Available</th> 
												<th></th> 
											</thead>
											<tbody id="get_list_saled" class="text-center">
												
											</tbody>            
										</table>          
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>         
                <div class="row" id="modal-bottom">
                  <div class="col-sm-6 ">
                      <small class="font-normal float-left">Fill required fields(*)</small>
                    </div>
                </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php include 'layouts/footer.php' ?>
<script type="text/javascript">
  document.title ="Sales";
  $('#titlePage').html( 'Sales');
  
 
</script>
<script type="text/javascript" rel="stylesheet" src="./js/salePageJs.js"></script>