<?php
include_once("./config/constants.php");

if (!isset($_SESSION["userid"])) {
  header("location:".DOMAIN."/");
}
 include 'layouts/header.php';
 
include 'layouts/navbar.php';
include 'layouts/commonTools.php';
$_SESSION['title_name'] ='Stock Movement';
?>


<input type="hidden" name="title_name" id="title_name" value="<?php echo $_SESSION['title_name'];?>" />
     <span  data-toggle="tooltip" data-html="true" data-placement="top" title="Add New Record" class="float-right">
          <button type="button" class="btn  btn-sm  " data-toggle="modal" data-target="#myModal"><i class='fas fa-plus' style='font-size:14px'></i></button>
     </span>
     <input type="text" class="form-control form-control-sm float-right col-sm-4" name="search_item" id="search_item"/>
</div>
</div>
<hr class="featurette-divider">
  <div class="row font-weight-bold " id="messageBox"> 
 
    <div id="success_message" class="text-white rounded col-sm-12 " style="display: none;" ></div>
    <div id="error_message" class="text-white rounded col-sm-12 " style="display: none;"></div>
</div>

<div  class="col-sm-12 p-0" id="table-area"> 
  <table class="table-sm table-bordered border col-sm-12" id="myTable">   
        <thead class="text-left">
          <th class="text-center"><input type="checkbox" class="form-control-md" id="selectAllCmb" /></th> 
          <th>Date</th> 
          <th>Product</th>
          <th class="text-right">Quantity</th>
          <th>Moved From</th>
          <!--<th>Reference</th>-->
          <th>Moved To</th>
          <th>Remark</th>
          <th>User Name</th>
        <th></th>
      </thead>
      <tbody id="get_list" class="text-center">
          
      </tbody>            
    </table>          
</div>
<div class="row ml-2 mr-2" id="card-area" style="display: none;">

  <div id="get_card" >
  
  </div>
</div>


<!---------------------------------------- popup for add record ---------------------------------------------- -->
  <div class="modal fade hide " id="myModal" role="dialog">
    <div class="modal-dialog modal-lg modal-dialog-scrollable">
      <div class="modal-content ">
        <div class="modal-body">
          <div class="row">
            <div class="col"><h6 class="text-bold">Stock Movement</h6></div>
            <div class="col text-right">
              <input class="btn btn-sm btns form-control-sm mr-1" type="submit" id="addButton" name="addButton" value="Save">                
              <input type="button" class="btn btn-sm  btn_close form-control-sm" id="closeButton" data-dismiss="modal" value="Close">
            </div>
          </div>
          <hr class="featurette-divider">
    
           <div class="row font-weight-bold " id="messageBox"> 
              <div id="success_message_modal" class="text-white rounded col-sm-12 " style="display: none;" ></div>
              <div id="error_message_modal" class="text-white rounded col-sm-12 " style="display: none;"></div>  
          </div>
          <div id="form-content">
            <form id="myForm" onsubmit="return false" class="p-2 entryform form">
              <input type="hidden" name="pid" id="pid" value="0">
			  <span class="text-danger" id="table_error_msg"></span>
              <div class="row">
                <div class="col-sm-6">
                  <label for="production_in_date">Date</label>
                  <input type="date" id="production_in_date" name="production_in_date" class="form-control form-control-sm " value="<?php echo date('Y-m-d')?>"  />
                </div>
                <div class="col-sm-6">
                  <label for="production_in_product" >Product</label> 
                  <select class="form-control form-control-sm " id="production_in_product" name="production_in_product">
              
                  </select> 
                </div> 
              </div>
              <div class="row">
                
                <div class="col-sm-6  p-2 border"><!-- Stock in -->
                  <div class="container">
                    <div class="row">             
                       <div class="col-sm-6">
                        <label for="production_in_product_from">Product From</label>
                        <select class="form-control form-control-sm " id="production_in_product_from" name="production_in_product_from">
                          <option value="0">Select</option>
                          <option value="1">Purchase</option>
                          <option value="2">Drum</option>
                          <option value="3">Storage</option>
                          <option value="4">Opening</option>
                          <option value="5">Production</option>
                        </select> 
                      </div> 
                        
                    </div>  
                    <div class="row">
                      <div  class="col-sm-12 " id="table-area-sm"> 
                        <table class="table-sm table-bordered  col-sm-12" id="myTableProductionIn">   
                          <thead class="text-right">
                            <th class="text-center"><input type="checkbox" class="form-control-md" id="selectAllCmb" /></th>
                            <th id="showProductionFromName">Name/No.</th>
                            <th>Available</th> 
              
                            <th></th>
                          </thead>
                          <tbody id="get_list_production_in" class="text-center">
                            
                          </tbody>            
                        </table>          
                      </div>
                    </div>
                  </div> 
                </div>
                <div class="col-sm-4  border p-2"><!-- Stock out -->
                  <div class="container">
                    <div class="row" >
                       <div class="col-sm-12">
                        <label for="production_out_product_to">Product moved to</label>
                        <select class="form-control form-control-sm " id="production_out_product_to" name="production_out_product_to">
                          <option value="0">Select</option>
                          <option value="1">Sale</option>
                          <option value="2">Drum</option>
                          <option value="3">Storage</option>
                          <option value="4">Production</option>
                        </select> 
                      </div> 
                    </div>
                    <div class="row">
                      <div class="col-sm-12" id="showProductionOutSale" style="display:none;">
                        <label for="production_out_sale">Sale</label>                              
                        <select class="form-control form-control-sm " id="production_out_sale" name="production_out_sale">
                        </select>
                      </div>
                      <div class="col-sm-12" id="showProductionOutDrum" style="display:none;">
                        <label for="production_out_drum_tag">Drum Tag</label>
                        <input type="text" id="production_out_drum_tag" name="production_out_drum_tag" class="form-control form-control-sm "/>

                      </div> 
                      <div class="col-sm-12" id="showProductionOutStorage" style="display:none;">
                        <label for="production_out_storage">Storage</label>
                        <select class="form-control form-control-sm " id="production_out_storage" name="production_out_storage">
                        </select>
                      </div> 
                      <div class="col-sm-12" id="showProductionOutProduction" style="display:none;"> 
                        <label for="production_out_production">Production</label>
                         <select class="form-control form-control-sm " id="production_out_production" name="production_out_production">
                        </select>

                      </div>  
                      <div class="col-sm-12">
                        <label for="production_out_qty">Quantity(kg)</label>
                        <input type="text" id="production_out_qty" name="production_out_qty" class="form-control form-control-sm "  />
                      </div>
                    </div>
                    <div class="row ">
                      <div class="col-sm-12">
                        <label for="production_out_remarks">Remarks</label>
                        
                         <textarea  id="production_out_remarks" name="production_out_remarks" class="form-control form-control-sm" ></textarea>     
                      </div>
                    </div>
                  </div>
                </div>
              </div>                
              <div class="row" id="modal-bottom">
                <div class="col-sm-6 ">
                    <small class="font-normal float-left">Fill required fields(*)</small>
                  </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
<!-- ----------------------------------End------------------------------------------------------------------ -->

<?php include 'layouts/footer.php' ?>
<script type="text/javascript">
  document.title ="Stock Movement";
  $('#titlePage').html( 'Stock Movement');
  
 
</script>
<script type="text/javascript" rel="stylesheet" src="./js/stockMovementPageJs.js"></script>